/*
 * memory.c -- functions to copy and fill memory.
 */

#include "../h/gsupport.h"

#ifndef SysMem
pointer memcopy(to, from, n)
   register char *to, *from;
   register word n;
   {
   register char *p = to;

   while (--n >= 0)
      *to++ = *from++;

   return (pointer)p;
   }

pointer memfill(to, con, n)
   register char *to;
   register int con;
   register word n;
   {
   register char *p = to;

   while (--n >= 0)
      *to++ = con;

   return (pointer)p;
   }
#else					/* SysMem */
static char x;				/* prevent empty module */
#endif					/* SysMem */

#if COMPILER
/*
 * salloc - allocate and initialize string 
 */

char *salloc(s)
char *s;
   {
   register char *s1;

   s1 = (char *)malloc((msize)(strlen(s)+1));
   if (s1 == NULL) {
      fprintf(stderr, "out of memory");
      exit(ErrorExit);
      }
   return strcpy(s1, s);
   }

/*
 * alloc - allocate n bytes
 */

pointer alloc(n)
unsigned int n;
   {
   register pointer a;

   a = malloc((msize)n);
   if (a == NULL) {
      fprintf(stderr, "out of memory");
      exit(ErrorExit);
      }
   return a;
   }
#endif					/* COMPILER */
