
/*
 * sys.h -- system include files.
 */

/*
 * The following code is operating-system dependent [@sys.01].  Include files
 *  that are system-dependent.
 */

#if PORT
#include <signal.h>
   /* probably needs something more */
Deliberate Syntax Error
#endif					/* PORT */

#if AMIGA
#include <signal.h>
#include <fcntl.h>
#include <ios1.h>
#include <string.h>
#endif					/* AMIGA */

#if ATARI_ST
#include <fcntl.h>
#include <osbind.h>
#endif					/* ATARI_ST */

#if HIGHC_386
#include <system.cf>
#endif					/* HIGHC_386 */

#if MACINTOSH
#include <signal.h>
#if LSC
#include <unix.h>
#endif					/* LSC */
#if MPW
#include <Types.h>
#include <Events.h>
#include <FCntl.h>
#include <IOCtl.h>
#include <SANE.h>
#include <OSUtils.h>
#include <Memory.h>
#include <Errors.h>
#include "time.h"
#endif					/* MPW */
#endif					/* MACINTOSH */

#if MSDOS
#if LATTICE || TURBO || MICROSOFT
#include <fcntl.h>
#include <signal.h>
#include <time.h>
#endif					/* LATTICE || TURBO || MICROSOFT */

#if LATTICE
#include <error.h>
#endif					/* LATTICE */
#endif					/* MSDOS */

#if MVS || VM
#include <signal.h>
#endif					/* MVS || VM */

#if OS2
#include <fcntl.h>
#include <signal.h>
#endif					/* OS2 */

#if UNIX
#include <signal.h>
#include <sys/types.h>
#include <sys/time.h>
#endif					/* UNIX */

#if VMS
#include <types.h>
#include dvidef
#include iodef
#include <stsdef.h>
#endif					/* VMS */

/*
 * End of operating-system specific code.
 */

#include <ctype.h>
#include <errno.h>
#include <math.h>

#include <stdio.h>
