/*
 * cproto.h -- prototypes for functions common to several modules.
 */

char	*db_string	Params((noargs));
char	*makename	Params((char *dest,char *d,char *name,char *e));
char	*salloc	Params((char *s));
char	*spec_str	Params((char *s));
char	*str_install	Params((struct str_buf *sbuf));
int	cmp_pre	Params((char *pre1, char *pre2));
int	db_open	Params((char *s));
int	db_tbl	Params((char *section));
int	getopt	Params((int nargs, char **nargv, char *ostr));
int	smatch	Params((char *s,char *t));
int	tonum	Params((int c));
long	longwrite	Params((char *s,long len,FILE *file));
long	lstrlen	Params((char *s));
long	millisec	Params((noargs));
novalue	db_chstr	Params((char *s));
novalue	db_close	Params((noargs));
novalue	db_code	Params((struct implement *ip));
novalue	db_dscrd	Params((struct implement *ip));
novalue	db_err1	Params((int fatal, char *s1));
novalue	db_err2	Params((int fatal, char *s1, char *s2));
novalue	getctime	Params((char *sbuf));
novalue	getitime	Params((struct cal_time *ct));
novalue	id_comment	Params((FILE *f));
novalue	init_sbuf	Params((struct str_buf *sbuf));
novalue	init_str	Params((noargs));
novalue	new_sbuf	Params((struct str_buf *sbuf));
novalue	nxt_pre Params((char *pre, char *nxt));
pointer	alloc	Params((unsigned int n));
struct	fileparts *fparse	Params((char *s));
struct	il_code *new_il	Params((int il_type, int size));
struct	implement	*db_ilkup    Params((char *id, struct implement **tbl));
struct	implement	*db_impl     Params((char oper_typ));

#ifndef SysMem
pointer	memcopy		Params((char *to, char* from, word n));
pointer	memfill		Params((char *to, int con, word n));
#endif					/* SysMem */
