/*
 * Machine-specific portion of Icon Windows (support for X11, so far).
 * This is version 4, featuring:
 *   no dependence on Xt
 *   a wide variety of X-specific graphics (no mode "g")
 *   support for multiple displays!
 *   support for fill styles and stipples (for monochromers) suggested by gmt
 *   separation of windows and graphics contexts, suggested by gmt
 */
#ifdef NOT_ICON
#define XWindows 1
#define hidden static
#define novalue void
#define Params(x) (/*nothing*/)
novalue handle_misc();
int setfg(), setbg();
/*
 * Here are the events we support (in addition to keyboard characters)
 */
#define MOUSELEFT	(-1)
#define MOUSEMID	(-2)
#define MOUSERIGHT	(-3)
#define MOUSELEFTUP	(-4)
#define MOUSEMIDUP	(-5)
#define MOUSERIGHTUP	(-6)
#define MOUSEDRAG	(-7)
#define RESIZED		(-8)
#define LASTEVENTCODE	(-8)
#else					/* NOT_ICON */
#include "../h/rt.h"
#endif					/* NOT_ICON */
static char junk;		/* avoid empty module */
